/*Commons*/
*,
*::before,
*::after {
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}
body {
	background: white;
}
header h1{
	font-size: 36px;
    text-align: center;
}
header {
    margin-bottom: 1.5em;
}
div, span {
    text-align: center;
}
button{
	cursor: pointer;
}
.grid {
    max-width: 820px;
    margin: 0 auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
	justify-content : center;
	align-items: center;
}
/*Cards Game*/
.card {
    position: relative;
    -webkit-transition: all 300ms ease-in;
    -o-transition: all 300ms ease-in;
    transition: all 300ms ease-in;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
	border: 2px solid black;
    margin: 5px;
	text-align: center;
	overflow: hidden;
	cursor: pointer;
}
.card:not(.selected):hover {
	border: 2px solid gray;
}
.card,
.front,
.back {
	height: 150px;
    width: 150px;
}
.back,
.front {
	position: absolute;
	backface-visibility: hidden;
}
.back {
	transform: rotateY(180deg);
	background-color: white;
}
.card i {
	font-size: 58px;
    line-height: 140px;
}
.card.selected,
.card.selected .back,
.card.selected i {
	transform: rotateY(180deg);
	cursor: default;
	-webkit-backface-visibility: visible !important;
	backface-visibility: visible !important;
}
.card.match {
	cursor: default;
    border: 2px solid green;
	font-size: 33px;
	-webkit-backface-visibility: visible !important;
	backface-visibility: visible !important;
}
.card.match .back {
	transform: rotateY(0deg);
	border: 2px solid green;
}
.card.unmatch,
.card.unmatch .back {
	-webkit-backface-visibility: visible !important;
	backface-visibility: visible !important;
	border: 2px solid rgb(161, 16, 16);
}
.card.unmatch .back i {
	transform: rotateY(0deg);
}